
Ruby - Bug #5602

io/console methods are not listed in top-level IO documentation

11/09/2011 10:48 AM - mistydemeo (Misty De Meo)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570) [x86_64-darwin11.2.0]

Backport:  

Description

It's very hard to find the methods that apply to IO.console from the new 'io/console' library.

Associated revisions

Revision 12e7e797 - 12/07/2011 01:49 AM - drbrain (Eric Hodel)

io.c (Init_IO):  Mention io/console methods.  [Ruby 1.9 - Bug #5602]

ext/io/console/console.c:  Mention that io/console must be required

similar to lib/time.rb

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33968 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9ca160c168abf64695e7ff89beb72c0ce5eed6a6 - 03/06/2012 03:31 AM - nobu (Nobuyoshi Nakada)

merge revision(s) 33172,33968:

    * ext/io/console/console.c (console_set_winsize): remove

 unused variable.

* io.c (Init_IO):  Mention io/console methods.  [Ruby 1.9 - Bug #5602]

    * ext/io/console/console.c:  Mention that io/console must be required

      similar to lib/time.rb

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34922 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9ca160c1 - 03/06/2012 03:31 AM - nobu (Nobuyoshi Nakada)

merge revision(s) 33172,33968:

    * ext/io/console/console.c (console_set_winsize): remove

 unused variable.

* io.c (Init_IO):  Mention io/console methods.  [Ruby 1.9 - Bug #5602]

    * ext/io/console/console.c:  Mention that io/console must be required

      similar to lib/time.rb

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34922 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/07/2011 10:49 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33968.

Misty, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

io.c (Init_IO):  Mention io/console methods.  [Ruby 1.9 - Bug #5602]

ext/io/console/console.c:  Mention that io/console must be required

similar to lib/time.rb
